IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/20
Addresses2^108
/64 networks2^44
- Network
fc09:e000::/20- First address
fc09:e000::- Last address
fc09:efff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 324,518,553,658,426,726,783,156,020,576,256 (2^108)
- /64 networks (LANs)
- 17,592,186,044,416 (2^44)
- Full form
fc09:e000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
e.9.0.c.f.ip6.arpa
Split into smaller subnets
fc09:e000::/20 makes 256 subnets of /28.
| # | Subnet | Last address |
|---|---|---|
| 1 | fc09:e000::/28 | fc09:e00f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fc09:e010::/28 | fc09:e01f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fc09:e020::/28 | fc09:e02f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fc09:e030::/28 | fc09:e03f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fc09:e040::/28 | fc09:e04f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fc09:e050::/28 | fc09:e05f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fc09:e060::/28 | fc09:e06f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fc09:e070::/28 | fc09:e07f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fc09:e080::/28 | fc09:e08f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fc09:e090::/28 | fc09:e09f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fc09:e0a0::/28 | fc09:e0af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fc09:e0b0::/28 | fc09:e0bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fc09:e0c0::/28 | fc09:e0cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fc09:e0d0::/28 | fc09:e0df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fc09:e0e0::/28 | fc09:e0ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fc09:e0f0::/28 | fc09:e0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fc09:e100::/28 | fc09:e10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fc09:e110::/28 | fc09:e11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fc09:e120::/28 | fc09:e12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fc09:e130::/28 | fc09:e13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fc09:e140::/28 | fc09:e14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fc09:e150::/28 | fc09:e15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fc09:e160::/28 | fc09:e16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fc09:e170::/28 | fc09:e17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fc09:e180::/28 | fc09:e18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fc09:e190::/28 | fc09:e19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fc09:e1a0::/28 | fc09:e1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fc09:e1b0::/28 | fc09:e1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fc09:e1c0::/28 | fc09:e1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fc09:e1d0::/28 | fc09:e1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fc09:e1e0::/28 | fc09:e1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fc09:e1f0::/28 | fc09:e1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fc09:e200::/28 | fc09:e20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fc09:e210::/28 | fc09:e21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fc09:e220::/28 | fc09:e22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fc09:e230::/28 | fc09:e23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fc09:e240::/28 | fc09:e24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fc09:e250::/28 | fc09:e25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fc09:e260::/28 | fc09:e26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fc09:e270::/28 | fc09:e27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fc09:e280::/28 | fc09:e28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fc09:e290::/28 | fc09:e29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fc09:e2a0::/28 | fc09:e2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fc09:e2b0::/28 | fc09:e2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fc09:e2c0::/28 | fc09:e2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fc09:e2d0::/28 | fc09:e2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fc09:e2e0::/28 | fc09:e2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fc09:e2f0::/28 | fc09:e2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fc09:e300::/28 | fc09:e30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fc09:e310::/28 | fc09:e31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fc09:e320::/28 | fc09:e32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fc09:e330::/28 | fc09:e33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fc09:e340::/28 | fc09:e34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fc09:e350::/28 | fc09:e35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fc09:e360::/28 | fc09:e36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fc09:e370::/28 | fc09:e37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fc09:e380::/28 | fc09:e38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fc09:e390::/28 | fc09:e39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fc09:e3a0::/28 | fc09:e3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fc09:e3b0::/28 | fc09:e3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fc09:e3c0::/28 | fc09:e3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fc09:e3d0::/28 | fc09:e3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fc09:e3e0::/28 | fc09:e3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fc09:e3f0::/28 | fc09:e3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fc09:e400::/28 | fc09:e40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fc09:e410::/28 | fc09:e41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fc09:e420::/28 | fc09:e42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fc09:e430::/28 | fc09:e43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fc09:e440::/28 | fc09:e44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fc09:e450::/28 | fc09:e45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fc09:e460::/28 | fc09:e46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fc09:e470::/28 | fc09:e47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fc09:e480::/28 | fc09:e48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fc09:e490::/28 | fc09:e49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fc09:e4a0::/28 | fc09:e4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fc09:e4b0::/28 | fc09:e4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fc09:e4c0::/28 | fc09:e4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fc09:e4d0::/28 | fc09:e4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fc09:e4e0::/28 | fc09:e4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fc09:e4f0::/28 | fc09:e4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fc09:e500::/28 | fc09:e50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fc09:e510::/28 | fc09:e51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fc09:e520::/28 | fc09:e52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fc09:e530::/28 | fc09:e53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fc09:e540::/28 | fc09:e54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fc09:e550::/28 | fc09:e55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fc09:e560::/28 | fc09:e56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fc09:e570::/28 | fc09:e57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fc09:e580::/28 | fc09:e58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fc09:e590::/28 | fc09:e59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fc09:e5a0::/28 | fc09:e5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fc09:e5b0::/28 | fc09:e5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fc09:e5c0::/28 | fc09:e5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fc09:e5d0::/28 | fc09:e5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fc09:e5e0::/28 | fc09:e5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fc09:e5f0::/28 | fc09:e5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fc09:e600::/28 | fc09:e60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fc09:e610::/28 | fc09:e61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fc09:e620::/28 | fc09:e62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fc09:e630::/28 | fc09:e63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fc09:e640::/28 | fc09:e64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fc09:e650::/28 | fc09:e65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fc09:e660::/28 | fc09:e66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fc09:e670::/28 | fc09:e67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fc09:e680::/28 | fc09:e68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fc09:e690::/28 | fc09:e69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fc09:e6a0::/28 | fc09:e6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fc09:e6b0::/28 | fc09:e6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fc09:e6c0::/28 | fc09:e6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fc09:e6d0::/28 | fc09:e6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fc09:e6e0::/28 | fc09:e6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fc09:e6f0::/28 | fc09:e6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fc09:e700::/28 | fc09:e70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fc09:e710::/28 | fc09:e71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fc09:e720::/28 | fc09:e72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fc09:e730::/28 | fc09:e73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fc09:e740::/28 | fc09:e74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fc09:e750::/28 | fc09:e75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fc09:e760::/28 | fc09:e76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fc09:e770::/28 | fc09:e77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fc09:e780::/28 | fc09:e78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fc09:e790::/28 | fc09:e79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fc09:e7a0::/28 | fc09:e7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fc09:e7b0::/28 | fc09:e7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fc09:e7c0::/28 | fc09:e7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fc09:e7d0::/28 | fc09:e7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fc09:e7e0::/28 | fc09:e7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fc09:e7f0::/28 | fc09:e7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fc09:e800::/28 | fc09:e80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fc09:e810::/28 | fc09:e81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fc09:e820::/28 | fc09:e82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fc09:e830::/28 | fc09:e83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fc09:e840::/28 | fc09:e84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fc09:e850::/28 | fc09:e85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fc09:e860::/28 | fc09:e86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fc09:e870::/28 | fc09:e87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fc09:e880::/28 | fc09:e88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fc09:e890::/28 | fc09:e89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fc09:e8a0::/28 | fc09:e8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fc09:e8b0::/28 | fc09:e8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fc09:e8c0::/28 | fc09:e8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fc09:e8d0::/28 | fc09:e8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fc09:e8e0::/28 | fc09:e8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fc09:e8f0::/28 | fc09:e8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fc09:e900::/28 | fc09:e90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fc09:e910::/28 | fc09:e91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fc09:e920::/28 | fc09:e92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fc09:e930::/28 | fc09:e93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fc09:e940::/28 | fc09:e94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fc09:e950::/28 | fc09:e95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fc09:e960::/28 | fc09:e96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fc09:e970::/28 | fc09:e97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fc09:e980::/28 | fc09:e98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fc09:e990::/28 | fc09:e99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fc09:e9a0::/28 | fc09:e9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fc09:e9b0::/28 | fc09:e9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fc09:e9c0::/28 | fc09:e9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fc09:e9d0::/28 | fc09:e9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fc09:e9e0::/28 | fc09:e9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fc09:e9f0::/28 | fc09:e9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fc09:ea00::/28 | fc09:ea0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fc09:ea10::/28 | fc09:ea1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fc09:ea20::/28 | fc09:ea2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fc09:ea30::/28 | fc09:ea3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fc09:ea40::/28 | fc09:ea4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fc09:ea50::/28 | fc09:ea5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fc09:ea60::/28 | fc09:ea6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fc09:ea70::/28 | fc09:ea7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fc09:ea80::/28 | fc09:ea8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fc09:ea90::/28 | fc09:ea9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fc09:eaa0::/28 | fc09:eaaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fc09:eab0::/28 | fc09:eabf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fc09:eac0::/28 | fc09:eacf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fc09:ead0::/28 | fc09:eadf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fc09:eae0::/28 | fc09:eaef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fc09:eaf0::/28 | fc09:eaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fc09:eb00::/28 | fc09:eb0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fc09:eb10::/28 | fc09:eb1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fc09:eb20::/28 | fc09:eb2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fc09:eb30::/28 | fc09:eb3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fc09:eb40::/28 | fc09:eb4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fc09:eb50::/28 | fc09:eb5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fc09:eb60::/28 | fc09:eb6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fc09:eb70::/28 | fc09:eb7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fc09:eb80::/28 | fc09:eb8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fc09:eb90::/28 | fc09:eb9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fc09:eba0::/28 | fc09:ebaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fc09:ebb0::/28 | fc09:ebbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fc09:ebc0::/28 | fc09:ebcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fc09:ebd0::/28 | fc09:ebdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fc09:ebe0::/28 | fc09:ebef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fc09:ebf0::/28 | fc09:ebff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fc09:ec00::/28 | fc09:ec0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fc09:ec10::/28 | fc09:ec1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fc09:ec20::/28 | fc09:ec2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fc09:ec30::/28 | fc09:ec3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fc09:ec40::/28 | fc09:ec4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fc09:ec50::/28 | fc09:ec5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fc09:ec60::/28 | fc09:ec6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fc09:ec70::/28 | fc09:ec7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fc09:ec80::/28 | fc09:ec8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fc09:ec90::/28 | fc09:ec9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fc09:eca0::/28 | fc09:ecaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fc09:ecb0::/28 | fc09:ecbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fc09:ecc0::/28 | fc09:eccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fc09:ecd0::/28 | fc09:ecdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fc09:ece0::/28 | fc09:ecef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fc09:ecf0::/28 | fc09:ecff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fc09:ed00::/28 | fc09:ed0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fc09:ed10::/28 | fc09:ed1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fc09:ed20::/28 | fc09:ed2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fc09:ed30::/28 | fc09:ed3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fc09:ed40::/28 | fc09:ed4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fc09:ed50::/28 | fc09:ed5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fc09:ed60::/28 | fc09:ed6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fc09:ed70::/28 | fc09:ed7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fc09:ed80::/28 | fc09:ed8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fc09:ed90::/28 | fc09:ed9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fc09:eda0::/28 | fc09:edaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fc09:edb0::/28 | fc09:edbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fc09:edc0::/28 | fc09:edcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fc09:edd0::/28 | fc09:eddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fc09:ede0::/28 | fc09:edef:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fc09:edf0::/28 | fc09:edff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fc09:ee00::/28 | fc09:ee0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fc09:ee10::/28 | fc09:ee1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fc09:ee20::/28 | fc09:ee2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fc09:ee30::/28 | fc09:ee3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fc09:ee40::/28 | fc09:ee4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fc09:ee50::/28 | fc09:ee5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fc09:ee60::/28 | fc09:ee6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fc09:ee70::/28 | fc09:ee7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fc09:ee80::/28 | fc09:ee8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fc09:ee90::/28 | fc09:ee9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fc09:eea0::/28 | fc09:eeaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fc09:eeb0::/28 | fc09:eebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fc09:eec0::/28 | fc09:eecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fc09:eed0::/28 | fc09:eedf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fc09:eee0::/28 | fc09:eeef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fc09:eef0::/28 | fc09:eeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fc09:ef00::/28 | fc09:ef0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fc09:ef10::/28 | fc09:ef1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fc09:ef20::/28 | fc09:ef2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fc09:ef30::/28 | fc09:ef3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fc09:ef40::/28 | fc09:ef4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fc09:ef50::/28 | fc09:ef5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fc09:ef60::/28 | fc09:ef6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fc09:ef70::/28 | fc09:ef7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fc09:ef80::/28 | fc09:ef8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fc09:ef90::/28 | fc09:ef9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fc09:efa0::/28 | fc09:efaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fc09:efb0::/28 | fc09:efbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fc09:efc0::/28 | fc09:efcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fc09:efd0::/28 | fc09:efdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fc09:efe0::/28 | fc09:efef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fc09:eff0::/28 | fc09:efff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |